> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Actions

> Retrieves all available actions for the specified batch job



## OpenAPI

````yaml /openapi/openapi_importexport.json get /platform/data/batchJob/actions/{code}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_IMPORTEXPORT">
                <h2>Import Export</h2>
                <p>The Import Export APIs are used to "import and export" Kibo's resources efficiently in <strong>CSV</strong> file format.</p>
                <p> For Importing, files are first zipped and uploaded via the <strong>Files API</strong>. Then an import job can be created, referencing the uploaded files using the <strong>Import API.</strong></p>
                <p> For Exporting, create an export job via the  <strong></strong>Export API, specifying  the resource to be exported. Then after completion, the csv extracts can be downloaded via the <strong>File API</strong></p>
                
            </div>
  title: Import Export
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/batchJob/actions/{code}:
    get:
      tags:
        - BatchJob
      summary: Get Available Actions
      description: Retrieves all available actions for the specified batch job
      parameters:
        - in: path
          name: code
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
            text/json:
              schema:
                items:
                  type: string
                type: array
            text/plain:
              schema:
                items:
                  type: string
                type: array
          description: Success
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````